From 5676ad01fda218675624294b2818720ea806bf87 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Tue, 26 Oct 2021 16:38:44 +0100
Subject: [PATCH] ARM: dt: Add DT nodes for the WLAN interfaces

Mirror upstream changes into the downstream dts files.

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 arch/arm/boot/dts/bcm2708-rpi-zero-w.dts   | 7 +++++++
 arch/arm/boot/dts/bcm2710-rpi-3-b-plus.dts | 7 +++++++
 arch/arm/boot/dts/bcm2710-rpi-3-b.dts      | 7 +++++++
 arch/arm/boot/dts/bcm2710-rpi-zero-2-w.dts | 7 +++++++
 4 files changed, 28 insertions(+)

--- a/arch/arm/boot/dts/bcm2708-rpi-zero-w.dts
+++ b/arch/arm/boot/dts/bcm2708-rpi-zero-w.dts
@@ -83,6 +83,13 @@
 	pinctrl-0 = <&sdio_pins>;
 	bus-width = <4>;
 	status = "okay";
+	#address-cells = <1>;
+	#size-cells = <0>;
+
+	brcmf: wifi@1 {
+		reg = <1>;
+		compatible = "brcm,bcm4329-fmac";
+	};
 };
 
 &uart0 {
--- a/arch/arm/boot/dts/bcm2710-rpi-3-b-plus.dts
+++ b/arch/arm/boot/dts/bcm2710-rpi-3-b-plus.dts
@@ -84,6 +84,13 @@
 	pinctrl-0 = <&sdio_pins>;
 	bus-width = <4>;
 	status = "okay";
+	#address-cells = <1>;
+	#size-cells = <0>;
+
+	brcmf: wifi@1 {
+		reg = <1>;
+		compatible = "brcm,bcm4329-fmac";
+	};
 };
 
 &firmware {
--- a/arch/arm/boot/dts/bcm2710-rpi-3-b.dts
+++ b/arch/arm/boot/dts/bcm2710-rpi-3-b.dts
@@ -84,6 +84,13 @@
 	pinctrl-0 = <&sdio_pins>;
 	bus-width = <4>;
 	status = "okay";
+	#address-cells = <1>;
+	#size-cells = <0>;
+
+	brcmf: wifi@1 {
+		reg = <1>;
+		compatible = "brcm,bcm4329-fmac";
+	};
 };
 
 &soc {
--- a/arch/arm/boot/dts/bcm2710-rpi-zero-2-w.dts
+++ b/arch/arm/boot/dts/bcm2710-rpi-zero-2-w.dts
@@ -83,6 +83,13 @@
 	pinctrl-0 = <&sdio_pins>;
 	bus-width = <4>;
 	status = "okay";
+	#address-cells = <1>;
+	#size-cells = <0>;
+
+	brcmf: wifi@1 {
+		reg = <1>;
+		compatible = "brcm,bcm4329-fmac";
+	};
 };
 
 &uart0 {
